Bug 474516 - QueueOptions.setOrdering(FIFO) never returns if LVQ was not set previously
QueueOptions.setOrdering(FIFO) never returns if LVQ was not set previously
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
1.1
All Linux
urgent Severity medium
: 1.1
: ---
Assigned To: Gordon Sim
Frantisek Reznicek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-04 04:04 EST by Gordon Sim
Modified: 2015-11-15 19:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-04 10:35:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gordon Sim 2008-12-04 04:04:38 EST
Compiling and running the code below, the setOrdering() call never returns.

#include <qpid/client/QueueOptions.h>

using namespace qpid::client;

int main(int argc, char** argv) 
{
    QueueOptions ft;	
    ft.setOrdering(FIFO);	
    return 0;
}
Comment 1 Gordon Sim 2008-12-04 04:26:26 EST
Fixed by r723263; unit test added to build.
Comment 3 Frantisek Reznicek 2008-12-12 06:05:02 EST
Manually validated on RHEL 5.2 / 4.7, i386 / x86_64 on packages
qpidc-devel-0.3.722891-2.el5 vs. qpidc-devel-0.4.725652-2.el5.

Covered also by RHTS test qpid_compilation_unit_tests test.
->VERIFIED
Comment 5 errata-xmlrpc 2009-02-04 10:35:31 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0035.html

Note You need to log in before you can comment on or make changes to this bug.